c===========================================================
c     Driver routine which integrates ODEs defining 
c     model for deuteron.
c 
c     See class notes and Arfken, Math. Methods for 
c     Physicists, 2nd Edition, section 9.1.2
c     for more details.
c===========================================================
      subroutine fcn(neq,x,y,yprime)
         implicit    none

         include    'fcn.inc'

         integer     neq
         real*8      x,     y(neq),    yprime(neq)

         real*8      u,     w

         u = y(1)
         w = y(2)

         yprime(1) = w

         if( x .le. x0 ) then
            yprime(2) = (-1.0d0 - E) * u
         else
            yprime(2) = -E * u
         end if

         return
      end 

c===========================================================
c     Dummy Jacobian routine.
c===========================================================
      subroutine jac
         implicit    none

         include    'fcn.inc'

         return
      end
